###--- >>> `library' <<<----- Loading and Listing of Packages

	## alias	 help(library)
	## alias	 help(require)
	## alias	 help(R_LIBS)
	## alias	 help(.Autoloaded)
	## alias	 help(.First.lib)
	## alias	 help(.Last.lib)
	## alias	 help(.Library)
	## alias	 help(.packages)
	## alias	 help(.path.package)
	## alias	 help(.lib.loc)

##___ Examples ___:

(.packages())               # maybe just "base"
.packages(all = TRUE)       # return all available as char.vector
library()                   # list all available packages
library(lib = .Library)     # list all packages in the default library
library(help = eda)         # documentation on package "eda"
library(eda)                # load package "eda"
require(eda)                # the same
(.packages())               # "eda", too
.path.package()
.Autoloaded     # maybe "ctest"

.lib.loc
.Library == .lib.loc[length(.lib.loc)]  # `by definition'

require(nonexistent)        # FALSE
##Don't run: ## Suppose a package needs to call a shared library named "foo.EXT",
##D ## where "EXT" is the system-specific extension.  Then you should use
##D .First.lib <- function(lib, pkg) {
##D   library.dynam("foo", pkg, lib)
##D }
detach("package:eda")

## Keywords: 'data'.


